PharData::extractTo
PharData::offsetSet
PharData
PHP Manual

# PharData::isWritable

(PHP >= 5.3.0, PECL phar >= 2.0.0)

PharData::isWritable — Returns true if the tar/zip archive can be modified

### Description

bool PharData::isWritable ( void )

This method returns `TRUE` if the tar/zip archive on disk is not read-only. Unlike Phar::isWritable(), data-only tar/zip archives can be modified even if phar.readonly is set to 1.

### Parameters

No parameters.

### Return Values

Returns `TRUE` if the tar/zip archive can be modified

### See Also

- Phar::canWrite() - Returns whether phar extension supports writing and creating phars
- Phar::isWritable() - Returns true if the phar archive can be modified

PharData::extractTo
PharData::offsetSet
PharData
PHP Manual